Trusty: x264 not built with lavf or ffms support

Bug #1328744 reported by djcj on 2014-06-11
This bug affects 12 people
Affects Status Importance Assigned to Milestone
x264 (Ubuntu)

Bug Description

The current x264 in Trusty (version 2:0.142.2389+git956c8d8-2) is not build with lavf or ffms support:

djcj: ~ $ x264 --help
x264 core:142 r2389 956c8d8
Syntax: x264 [options] -o outfile infile

Infile can be raw (in which case resolution is required),
  or YUV4MPEG (*.y4m),
  or Avisynth if compiled with support (yes).
  or libav* formats if compiled with lavf support (no) or ffms support (no).

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in x264 (Ubuntu):
status: New → Confirmed
truant (launchpad-ninj4) wrote :

I mean seriously ubuntu, wtf is going on with the crippled x264/ffmpeg/libavcodec/etc in 14.04?

Literally all my video processing scripts are broken now.

Felix Moreno (info-justdust) wrote :

Selene media encoder stopped working since 14.04 because of that. Bests

Reinhard Tartler (siretart) wrote :

From the buildlog of the 14.04 build:
Warning: AV_PIX_FMT_FLAG_RGB is missing from libavutil, update for swscale support
Warning: libavformat is not supported without swscale support
Warning: ffms is not supported without swscale support

This problem seems to be fixed in utopic!

Changed in x264 (Ubuntu Trusty):
status: New → Triaged
Changed in x264 (Ubuntu Utopic):
status: Confirmed → Fix Released
Changed in x264 (Ubuntu Trusty):
importance: Undecided → High
djcj (djcj) wrote :

Dynamic linking against gpac doesn't seem to work at all on 14.04.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers